// Manual for created Functions, the manula file is created with python
// using bypicman.py
//
constant HELPSYSTEM 1
constant manFile$ "/help.txt"

// *****************************************************************************
// lists just the Function names
// details: 0 none, just Function names
//          1 Function names in full
//          2 Function names and comments
// *****************************************************************************
function help.flist(part$[40],details)
dim f,k,p,p1,s$[80]
dim tpos=0
    print "\n"
    f = fopen(manFile$, "r")
    if f <> 0 then
        k = fgets(s$,f)
        while k = 0
            p = pos(s$,"#")
            if p >= 0 then
                if pos(s$,part$) >=0 then
                    p = pos(s$," ")+1 // past index
                    if details = 0 then
                    // just Function names in neat order
                        p1 = pos(s$,"(")
                        print mid$(s$,p,p1-p) // just Function name
                        tpos=tpos+strlen(mid$(s$,p,p1-p))
                        if tpos > 59 then
                            tpos=0
                            print "\n"
                        endif
                        while (tpos % 20) <> 0
                            print " "
                            tpos=tpos+1
                        wend
                    endif
                    if details > 0 then
                        // full detals
                        if details > 1 then
                        print "--------------------------------------------\n"
                        endif
                        print mid$(s$,p,100)
                    endif
                    if details > 1 then
                        // comments as well
                        k = fgets(s$,f)
                        while (k = 0) && (strlen(s$) > 1)
                            print s$
                            k = fgets(s$,f)
                        wend
                        print "\n"
                    endif
                endif
            endif
            k = fgets(s$,f)
        wend
        fclose(f)
    else
        print "cant open ",manFile$    
    endif
endf

function help.l(part$[40])
    help.flist(part$,0)
endf
function help.lw(part$[40])
    help.flist(part$,1)
endf
function help.lc(part$[40])
    help.flist(part$,2)
endf

// *****************************************************************************
// help file system for use with SD Card
// *****************************************************************************
function help()
    print
    print "help.l(\"s\") - gives a list of Functions on the help file\n"
    print "help.lw(\"s\") - gives more detailed list of Functions\n"
    print "help.lc(\"s\") - gives list with comments\n"
    print "                 s is a string that is contained in the Function\n"
    print "                 Can be "" for all Functions\n"
    print
endf
    